Глюки форума продолжаются, часть 2.

 
1 135 136 137 138 139 203
+
-
edit
 

Balancer

администратор
★★★★☆
Fakir> Кстати, у меня то же самое. Кидает вверх при нажатии на "инструменты" поста.

Смотрите на ошибки в консоли браузера. Судя по всему, где-то JS падает с ошибкой. А потом не работает. Соответственно, и оценки не ставятся, и прочий AJAX не работает.
 32.0.1700.7632.0.1700.76

ADP

опытный

ADP>> У меня тоже. И кнопка тоже. При нажатии кидает вверх сообщения.
Balancer> А это уже баг какой-то. Попробуй, если сможешь, отследить сообщения об ошибках в консоли браузера.

Вот:
Ошибка: $ is not defined
Источник: http://www.balancer.ru/_bors/js/funcs3.js
Строка: 153
При попытке плюсануть твоё сообщение.
 

Balancer

администратор
★★★★☆
ADP> Ошибка: $ is not defined

jQuery не загрузился. Грузится он с адреса _http://code.jquery.com/jquery-2.1.0.min.js

Может, кросс-доменная загрузка запрещена? Там же, в консоли, смотри отчёты о загрузке компонентов страницы, почему этот файл не грузится.
 3131

ADP

опытный

Balancer> jQuery не загрузился. Грузится он с адреса _http://code.jquery.com/jquery-2.1.0.min.js
Balancer> Может, кросс-доменная загрузка запрещена? Там же, в консоли, смотри отчёты о загрузке компонентов страницы, почему этот файл не грузится.

В этом я полый профан. У меня вообще проблемы с выполнением скриптов? (сценариев) на страницах иногда выскакивают. На mail.ru. Как его грузить, вручную, что-ли?
Старый Iceweasel. Может мне что-то в консерватории поменять, но так, чтобы с Debian 6 не слазить.
 

Balancer

администратор
★★★★☆
Balancer>> jQuery не загрузился. Грузится он с адреса _http://code.jquery.com/jquery-2.1.0.min.js
ADP> В этом я полый профан.

Да всё там же, в консоли браузера должна быть закладка про сетевую активность. Какие ресурсы грузит страница и с каким успехом.

ADP> Старый Iceweasel. Может мне что-то в консерватории поменять, но так, чтобы с Debian 6 не слазить.

Тут ничем не помощник. Я и на Linux под Хромом сейчас в основном сижу, и, вообще, с Win8 всё чаще пишу :)
 32.0.1700.7632.0.1700.76

Gogs

аксакал
★☆
Что-то фотки не грузятся тут:

Исследовательские подводные аппараты

Новый "Боинг" будет плавать под водой Компания Boeing совместно с Военно-морской океанографической службой США (Naval Oceanographic Office, NAVOCEANO) объявила об успешном завершении первого двухнедельного цикла демонстраций работы новой автономной подводной системы (Autonomous Underwater Vehicle, AUV). Аппарат, по мнению разработчиков, может быть использован для проведения исследовательских работ в нефте- и газодобывающей промышленности. Испытания аппарата проводились в Мексиканском заливе с…// Морской
 
 10.010.0
RU Alexandrc #30.01.2014 14:27
+
+1
-
edit
 

Alexandrc

аксакал

Обнаружил тут, что если в сообщении нажать инфо, то инструменты уже никак без F5 не открыть, и наоборот: если открыть инструменты, то вместо инфо теперь то же показывает инструменты.
Но вы там держитесь!  26.026.0
+
-
edit
 

Fakir

BlueSkyDreamer
★★★
Та же самая фигня продолжается на ТРЁХ браузерах (на одном и том же компьютере) - двух разных файрфоксах и одном ИЕ пробовал (на одной машине). Грешил было на апдейты - ну установил на файрфоксы, результат тот же.
 3.6.33.6.3
?? Balancer #31.01.2014 14:25  @Alexandrc#30.01.2014 14:27
+
-
edit
 

Balancer

администратор
★★★★☆
Alexandrc> Обнаружил тут, что если в сообщении нажать инфо, то инструменты уже никак без F5 не открыть

Старый баг. Знаю :) Планирую переписывать работу с инструментами полностью, так что всё откладывается и откладывается.
 3131

Fakir

BlueSkyDreamer
★★★
Кстати, если жать на "инфо" поста - перебрасывает на пустую страницу с:

Ответы на сообщение (+число вторичных ответов)

Нет ни одного ответа
 
 3.6.33.6.3
+
-
edit
 

Balancer

администратор
★★★★☆
Fakir> Та же самая фигня продолжается на ТРЁХ браузерах

Попробуй найти причину в консоли браузера. У меня (как и судя по активности выставления оценок у большинства пользователей) всё работает, поэтому сам поймать эту ошибку не смогу.

ADP, вон, уже показал, что не грузится jQuery (он подгружается с адреса _http://code.jquery.com/jquery-2.1.0.min.js). Но почему не грузится пока не разобрались. Надо в консоли браузера (в Хроме или Фоксе. В Опере тоже есть, вроде) отследить сетевую активность и посмотреть, грузится ли эта библиотека и если нет, то с каким статусом ошибки.

Вот в аттаче пример успешной загрузки в Хроме:
Прикреплённые файлы:
jquery-load-networks.png (скачать) [340,48 кбайт, 6 загрузок] [attach=372035]
 
 
 3131
+
-
edit
 

Fakir

BlueSkyDreamer
★★★
Balancer> Попробуй найти причину в консоли браузера. У меня (как и судя по активности выставления оценок у большинства пользователей) всё работает, поэтому сам поймать эту ошибку не смогу.
Balancer> ADP, вон, уже показал, что не грузится jQuery

В файрфоксе у меня то же самое, что у ADP.
Прикреплённые файлы:
еггог.jpg (скачать) [97,25 кбайт, 10 загрузок] [attach=372036]
 
 
 3.6.33.6.3

Fakir

BlueSkyDreamer
★★★
В другом браузере:
Прикреплённые файлы:
еггог в другом браузере.jpg (скачать) [125,51 кбайт, 6 загрузок] [attach=372037]
 
 
 3.6.33.6.3
+
-
edit
 

Balancer

администратор
★★★★☆
Fakir> В файрфоксе у меня то же самое, что у ADP.

Да, это уже вполне очевидно. Вопрос в том, что приводит к тому, что у тебя jQuery не грузится.
 3131
+
-
edit
 

Balancer

администратор
★★★★☆
Fakir> В другом браузере:

Ага. А вот это уже интереснее. Первая же строка ошибки говорит, что у браузера чего-то не хватает. Смотрим версию — Firefox 3.x.

Читаем описание поддерживаемых браузеров jQuery. Firefox: (Current - 1) or Current. Т.е. сейчас он гарантирует поддержку 25-й и 26-й версии.

Вот так, видимо, ларчик и раскрывается.
 3131
+
-
edit
 

Fakir

BlueSkyDreamer
★★★
И как это определить? Что мне необходимо делать?

Может, имеет смысл с другого конца покрутить - раз раньше всё работало на тех же браузерах при тех же настройках, то глянуть, какие изменения ты вносил (если вносил) пару дней назад? Есть смысл, нет???
 3.6.33.6.3
+
-
edit
 

Fakir

BlueSkyDreamer
★★★
Balancer> Читаем описание поддерживаемых браузеров jQuery. Firefox: (Current - 1) or Current. Т.е. сейчас он гарантирует поддержку 25-й и 26-й версии.

Едриииит...
 3.6.33.6.3
+
-
edit
 

Balancer

администратор
★★★★☆
Fakir> Едриииит...

Попозже попробую в случае обнаружения старой версии браузера грузить старую версию jQuery и выдавать предупреждение. Новые плагины и всякие фишки могут перестать работать со старыми версиями, но основной функционал, который я пишу, в т.ч. оценки и т.п. будет работать.

Но, вообще, об обновлении полезно будет подумать. jQuery сегодня используют очень многие и не все будут заботиться о поддержке старых версий :D
 3131
+
-1
-
edit
 

Fakir

BlueSkyDreamer
★★★
Balancer> Попозже попробую в случае обнаружения старой версии браузера грузить старую версию jQuery и выдавать предупреждение.

Конструктивно :)
А может вообще только её и грузить? ;)

Balancer> Новые плагины и всякие фишки могут перестать работать со старыми версиями, но основной функционал, который я пишу, в т.ч. оценки и т.п. будет работать.

Нахрен новые плагины и фишки! Долой свистоперделки! :F
 3.6.33.6.3
+
+1
-
edit
 

Balancer

администратор
★★★★☆
Fakir> А может вообще только её и грузить? ;)

Я давно уже перерос красноглазие ручной работы и у меня asset-библиотеки (js/css/etc) грузятся через пакетный менеджер bower. И, ради исправления ошибок или добавления новых фишек приходится регулярно обновляться :) jQuery 2.0, в котором и выкинули старые браузеры, вышел уже почти год назад, так что Web-инфраструктура переориентировалась на него :) Я тянул до последнего, но стало вылезать слишком много конфликтов.

Fakir> Нахрен новые плагины и фишки! Долой свистоперделки! :F

Ну, вот, даже обычное выставление оценок — такая свистоперделка :) Только хотя бы самописанная. Но я не буду сам писать всяких монстров, типа визуального редактирования в формах ответа, красивых превьюшек фоток, удобной интерактивной загрузки аттачей (в планах) и т.п.
 3131
+
-
edit
 

Sheradenin

аксакал

Fakir> А может вообще только её и грузить? ;)
Fakir> Нахрен новые плагины и фишки! Долой свистоперделки! :F

Да уж, пользоваться древним дырявым браузером - это принципиальная позиция )))

Всех дел - запустить обновления в три клика мышкой.
<b>Freedom is the right to tell people what they do not want to hear. George Orwell</b>  32.0.1700.10232.0.1700.102
+
-
edit
 

Balancer

администратор
★★★★☆
Пока принудительно прописал старую версию. Пока что-то не сломается, будет стоять :)
 3131
+
-
edit
 

Balancer

администратор
★★★★☆
А, вспомнил, почему я ещё обновился. Старая версия стала в Chrome выдавать предупреждения, что меня при разработке раздражает :) Правда, как выяснилось, последняя стабильная 2.x тоже ещё выдаёт это предупреждение.
 3131
+
-
edit
 

Fakir

BlueSkyDreamer
★★★
Balancer> Пока принудительно прописал старую версию. Пока что-то не сломается, будет стоять :)

Тем не менее пока не заработало.
 3.6.33.6.3
+
+1
-
edit
 

Balancer

администратор
★★★★☆
Fakir> Тем не менее пока не заработало.

Ошибка та же? Страницы обновлённые, не из кеша? (должна стоять загрузка jQuery версии 1.11.0)
 3131
1 135 136 137 138 139 203

в начало страницы | новое
 
Поиск
Настройки
Твиттер сайта
Статистика
Рейтинг@Mail.ru